{ nix-flatpak, lib, pkgs, ... }:
{
  nixpkgs.config.allowUnfree = true;
  home = {
    packages = with pkgs; [
      plexamp
      audacity
      supercollider-with-plugins
     
      python3
      sbcl
      nodejs_22

      kanata-with-cmd
      wezterm 
      eza
      fish
      emacs
      just
      fd
      fzf
      bat
      jq
      starship

      bitwarden-cli
      bitwarden-desktop
      tailscale

      gnome.gnome-software
      polychromatic

      discord
      slack

      gnomeExtensions.just-perfection
      gnomeExtensions.dash-to-dock

    ];

    username = "emenel";
    homeDirectory = "/home/emenel";

    stateVersion = "24.05";
  };
  
  programs = {
    home-manager.enable = true;
    direnv = {
      enable = true;
      #enableFishIntegration = true; # see note on other shells below
      nix-direnv.enable = true;
    };
    fish.enable = true;
  };

  services.flatpak.enable = true;

  xdg.systemDirs.data = [
    "/home/emenel/.local/share/applications"
    "/var/lib/flatpak/exports/share"
    "/home/emenel/.local/share/flatpak/exports/share"
    "/home/emenel/.nix-profile/share/applications"
  ];

  services.flatpak.packages = [
    "io.github.zen_browser.zen"
  ];

  xdg.configFile."wezterm".source = ./dotfiles/dot_config/wezterm/wezterm.lua;
}
